Package org.jboss.resteasy.wadl

## Class ResteasyWadlServletWriter

- java.lang.Object
- - org.jboss.resteasy.wadl.ResteasyWadlWriter
  - - org.jboss.resteasy.wadl.ResteasyWadlServletWriter

-     @Deprecated
      public class ResteasyWadlServletWriter
      extends ResteasyWadlWriter

  Deprecated.
  Using @org.jboss.resteasy.wadl.ResteasyWadlDefaultResource instead.
  Author:
    Weinan Li

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.jboss.resteasy.wadl.ResteasyWadlWriter

      `ResteasyWadlWriter.ResteasyWadlGrammar`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ResteasyWadlServletWriter()` | Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `writeWadl​(String base, javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse resp, Map<String,​ResteasyWadlServiceRegistry> serviceRegistries)` | Deprecated.
    `void` | `writeWadl​(String base, javax.servlet.http.HttpServletResponse resp, Map<String,​ResteasyWadlServiceRegistry> serviceRegistries)` | Deprecated.

    - ### Methods inherited from class org.jboss.resteasy.wadl.ResteasyWadlWriter

      `createApplication, getBytes, getStringWriter, getWadlGrammar, setWadlGrammar`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResteasyWadlServletWriter

          public ResteasyWadlServletWriter()

      Deprecated.

  - ### Method Detail

    - #### writeWadl

          public void writeWadl​(String base,
                                javax.servlet.http.HttpServletResponse resp,
                                Map<String,​ResteasyWadlServiceRegistry> serviceRegistries)
                         throws IOException

      Deprecated.
      Throws:
        `IOException`

    - #### writeWadl

          public void writeWadl​(String base,
                                javax.servlet.http.HttpServletRequest req,
                                javax.servlet.http.HttpServletResponse resp,
                                Map<String,​ResteasyWadlServiceRegistry> serviceRegistries)
                         throws IOException

      Deprecated.
      Throws:
        `IOException`